name: Markdown to Html Tests

on:
  push:
  pull_request:

jobs:
  test:
    runs-on: ubuntu-latest
    
    steps:
      - name: Checkout code
        uses: actions/checkout@v4
      
      - name: Compile Java
        run: |
          mkdir -p out
          javac -d out $(find java -name "*.java")
      
      - name: Run Markdown to Html tests
        run: |
          java -ea -cp out md2html.Md2HtmlTest Base
